For the complete documentation index, see llms.txt. This page is also available as Markdown.

Burns

The burns API provide users the entries to burn the NFTs.

Burn NFTs

Burn NFT by Admin

The Burn NFT by Admin API helps users to burn the corresponding NFT.

Burn NFT

post
/v1/burns

Burn NFT by admin

Authorizations
Header parameters
AuthorizationstringRequired

Bearer Open_JWT

Body
amountintegerOptional
chainstring · enumRequiredPossible values:
contract_addressstringRequired
contract_typestring · enumRequiredPossible values:
token_idstringRequired
userstringOptional
Responses
200

OK

application/json
amountintegerOptional
app_idintegerOptional
block_reasoninteger · enumOptionalPossible values:
chain_idintegerOptional
chain_typeintegerOptional
contractstringOptional
contract_typeintegerOptional
created_atstringOptional
errorstringOptional
hashstringOptional
idintegerOptional
statusintegerOptional

0-pending, 1-success, 2-failed

token_idstringOptional
tx_idintegerOptional
updated_atstringOptional
userstringOptional
post/v1/burns
POST /v1/burns HTTP/1.1
Host: api.nftrainbow.cn
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 113

{
  "amount": 1,
  "chain": "conflux",
  "contract_address": "text",
  "contract_type": "erc721",
  "token_id": "text",
  "user": "text"
}
{
  "amount": 1,
  "app_id": 1,
  "block_reason": 1,
  "chain_id": 1,
  "chain_type": 1,
  "contract": "text",
  "contract_type": 1,
  "created_at": "text",
  "deleted_at": {
    "time": "text",
    "valid": true
  },
  "error": "text",
  "hash": "text",
  "id": 1,
  "status": 1,
  "token_id": "text",
  "tx_id": 1,
  "updated_at": "text",
  "user": "text"
}
Name
Meaning
Param Type
Data Type

Authorization

Bearer Token

Header

string

Name
Meaning
Param Type
Type
Required

token_id

The id of the NFT

body

string

chain

The chain type. The types include conflux and conflux_test

body

string

contract_address

The address of the contract

body

string

contract_type

The type of the contract

body

string

amount

The amount of the burned NFTs

body

integer

user

The address of the user

body

string

Name
Meaning
Type

created_at

The time of creating the item in the database

string

updated_at

The time of updating the item in the database

string

deleted_at

The time of deleting the item in the database

string

id

The id of the item in the database

integer

amount

The amount of the nft

integer

app_id

The id of the app

integer

chain_id

The id of the chain. 1029-mainnet, 1-testnet

integer

chain_type

The type of the chain. 1-CFX, 2-ETH

integer

contract_type

The type of the contract. 1-ERC721, 2-ERC1155

integer

contract

The address of the nft

string

error

The error during executing tx

string

hash

The hash of the transaction

string

status

The status of the transaction. 0-pending, 1-success, 2-failed

integer

token_id

The id of the token

string

user

The address of the user

string

tx_id

The id of the transaction

integer

mint_type

The type of the minting

integer

error

The error during executing the transaction

string

The token_id is the number like "123", which type is string

Query Operations

Query specific Burning NFT information

The Query specific Burning NFT information API helps users to query burning record according to id.

Burn NFT detail

get
/v1/burns/{id}

Get NFT Burn detail info

Authorizations
Path parameters
idintegerRequired

id

Header parameters
AuthorizationstringRequired

Bearer Open_JWT

Responses
200

OK

application/json
amountintegerOptional
app_idintegerOptional
block_reasoninteger · enumOptionalPossible values:
chain_idintegerOptional
chain_typeintegerOptional
contractstringOptional
contract_typeintegerOptional
created_atstringOptional
errorstringOptional
hashstringOptional
idintegerOptional
statusintegerOptional

0-pending, 1-success, 2-failed

token_idstringOptional
tx_idintegerOptional
updated_atstringOptional
userstringOptional
get/v1/burns/{id}
GET /v1/burns/{id} HTTP/1.1
Host: api.nftrainbow.cn
Authorization: text
Accept: */*
{
  "amount": 1,
  "app_id": 1,
  "block_reason": 1,
  "chain_id": 1,
  "chain_type": 1,
  "contract": "text",
  "contract_type": 1,
  "created_at": "text",
  "deleted_at": {
    "time": "text",
    "valid": true
  },
  "error": "text",
  "hash": "text",
  "id": 1,
  "status": 1,
  "token_id": "text",
  "tx_id": 1,
  "updated_at": "text",
  "user": "text"
}
Name
Meaning
Param Type
Data Type

Authorization

Bearer Token

Header

string

Name
Meaning
Param Type
Type
Required

id

The id of the record

path

string

Name
Meaning
Type

created_at

The time of creating the item in the database

string

updated_at

The time of updating the item in the database

string

deleted_at

The time of deleting the item in the database

string

id

The id of the item in the database

integer

amount

The amount of the nft

integer

app_id

The id of the app

integer

chain_id

The id of the chain. 1029-mainnet, 1-testnet

integer

chain_type

The type of the chain. 1-CFX, 2-ETH

integer

contract_type

The type of the contract. 1-ERC721, 2-ERC1155

integer

contract

The address of the nft

string

error

The error during executing tx

string

hash

The hash of the transaction

string

status

The status of the transaction. 0-pending, 1-success, 2-failed

integer

token_id

The id of the token

string

user

The address of the user

string

tx_id

The id of the transaction

integer

Query Burning List

The Query Burning List API helps users to query burning list.

Obtain the burned NFTs list

get
/v1/burns

Get the NFT burned list information.

Authorizations
Header parameters
AuthorizationstringRequired

Bearer Open_JWT

Responses
200

OK

application/json
countintegerOptional
get/v1/burns
GET /v1/burns HTTP/1.1
Host: api.nftrainbow.cn
Authorization: text
Accept: */*
{
  "count": 1,
  "items": [
    {
      "amount": 1,
      "app_id": 1,
      "block_reason": 1,
      "chain_id": 1,
      "chain_type": 1,
      "contract": "text",
      "contract_type": 1,
      "created_at": "text",
      "deleted_at": {
        "time": "text",
        "valid": true
      },
      "error": "text",
      "hash": "text",
      "id": 1,
      "status": 1,
      "token_id": "text",
      "tx_id": 1,
      "updated_at": "text",
      "user": "text"
    }
  ]
}
Name
Meaning
Param Type
Data Type

Authorization

Bearer Token

Header

string

Name
Meaning
Param Type
Data Type
Required
Default

page

Page Query

query

integer

1

limit

Page Query

query

integer

10

Name
Meaning
Type

count

The count of the records

string

Items

The array of items

[]BurnTask

The BurnTask struct is showed in the following.

Name
Meaning
Type

created_at

The time of creating the item in the database

string

updated_at

The time of updating the item in the database

string

deleted_at

The time of deleting the item in the database

string

id

The id of the item in the database

integer

amount

The amount of the nft

integer

app_id

The id of the app

integer

chain_id

The id of the chain. 1029-mainnet, 1-testnet

integer

chain_type

The type of the chain. 1-CFX, 2-ETH

integer

contract_type

The type of the contract. 1-ERC721, 2-ERC1155

integer

contract

The address of the nft

string

error

The error during executing tx

string

hash

The hash of the transaction

string

status

The status of the transaction. 0-pending, 1-success, 2-failed

integer

token_id

The id of the token

string

user

The address of the user

string

tx_id

The id of the transaction

integer

Last updated